=== debian/changelog ===
serf (1.3.3-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: cert spoofing via NUL characters in CommonName and
    SubjectAltNames
    - debian/patches/CVE-2014-3504.patch: escape null bytes in
      buckets/ssl_buckets.c.
    - CVE-2014-3504
  * Fix FTBFS because of expired test certs:
    - debian/patches/expired_certs.patch: switch to test certs from serf
      1.3.6.
    - debian/source/format: switch to 3.0 (quilt) so we can handle the
      binary cert file
    - debian/source/include-binaries: include binary cert file from 1.3.6.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 14 Aug 2014 09:47:32 -0400

serf (1.3.3-1) unstable; urgency=low

  * Add myself to Uploaders.
  * Change the watch file to better handle code.google.com.
  * New upstream release.  (Closes: #716793)
    + Refresh patches/libtool
    + Update symbols
  * Adapt packaging for the upstream switch to SCons.
    + control: + scons, - autotools-dev, autoconf
    + rules: Change configure/make calls to scons
  * Rename libserf1 to libserf-1-1, following standard naming conventions.
  * Enable hardening flags.
  * Strip unnecessary RPATH from libserf.
  * Honor DEB_BUILD_OPTIONS=parallel=X

 -- James McCoy <jamessan@debian.org>  Tue, 31 Dec 2013 13:17:16 -0500

serf (1.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * Add another lintian override.
  * Make libserf1-dbg M-A: same as well.

 -- Peter Samuelson <peter@p12n.org>  Sat, 09 Jun 2012 14:26:56 -0500

serf (1.1.0-1) experimental; urgency=low

  * New upstream version.
  * Policy 3.9.3 (no changes).

 -- Peter Samuelson <peter@p12n.org>  Fri, 08 Jun 2012 00:18:56 -0500

serf (1.0.1-1) experimental; urgency=low

  * New upstream release.
    - patches/bind_address_family: Delete, applied upstream.
  * Delete obsolete lintian override (workaround for an old lintian).

 -- Peter Samuelson <peter@p12n.org>  Sat, 25 Feb 2012 14:43:53 -0600

serf (1.0.0-2) experimental; urgency=low

  * patches/bind_address_family: New patch from Anders Kaseorg to replace
    patches/ip6-localhost.  We'll see if it addresses #632573.
  * Policy 3.9.2 (no changes).

 -- Peter Samuelson <peter@p12n.org>  Wed, 17 Aug 2011 17:12:21 -0500

serf (1.0.0-1) experimental; urgency=low

  * New upstream release.
    - patches/out-of-tree, patches/kqueue: Remove, accepted upstream.
    - Now ships pkgconfig file serf-1.pc.

 -- Peter Samuelson <peter@p12n.org>  Fri, 15 Jul 2011 17:49:29 -0500

serf (1.0.0~0+svn1514-1) experimental; urgency=low

  * New upstream snapshot.
    - patches/abi-0.x: Remove as obsolete.
    - patches/kqueue: Forward-port.
    - Bump ABI: libserf0.7{,-dbg} -> libserf1{,-dbg}
    - patches/ip6-localhost: New patch: temporary (I hope) workaround for
      IPv4 / IPv6 confusion in testsuite.
  * Implement Multi-Arch: same.
  * libserf-dev Conflicts: libserf-0-0-dev, not Breaks.  Thanks, lintian.

 -- Peter Samuelson <peter@p12n.org>  Mon, 27 Jun 2011 18:09:28 -0500

serf (0.7.2-1) experimental; urgency=low

  * New upstream release.
    - patches/no-export-vars: delete, now upstream.
  * New ABI:
    - patches/abi-0.x: New patch to change upstream SONAME.
    - Rename libserf-0-0 to libserf0.7.
    - Rename libserf-0-0-dev to libserf-dev while we're at it.
  * Policy 3.9.1: one instance of s/Conflicts/Breaks/.
  * "Upgrade" to source format 1.0.
  * Add some Depends: ${misc:Depends}; thanks, Lintian.

 -- Peter Samuelson <peter@p12n.org>  Fri, 03 Jun 2011 03:18:07 -0500

serf (0.3.1-1) unstable; urgency=low

  * New upstream release.
    - patches/libtool: update.

 -- Peter Samuelson <peter@p12n.org>  Sun, 14 Feb 2010 23:04:17 -0600

serf (0.3.0-2) unstable; urgency=low

  * Make libserf-0-0-dev Replace older libserf-0-0.  (Closes: #557889)

 -- Peter Samuelson <peter@p12n.org>  Tue, 24 Nov 2009 21:55:31 -0600

serf (0.3.0-1) unstable; urgency=low

  * New maintainer.  (Closes: #554068)  Ack my NMUs.
  * Repackage, without cdbs.
  * Install headers to /usr/include/serf-0 (upstream default), not /usr/include.
  * Do not ship .la file; pretty sure nobody needs it anymore.
  * patches/out-of-tree: New patch, for building outside the source tree.
  * Fix Section of libserf-0-0-dbg to 'debug'.  Thanks, Lintian.

 -- Peter Samuelson <peter@p12n.org>  Mon, 23 Nov 2009 03:25:24 -0600

serf (0.3.0-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * patches/kqueue: New patch: fix FTBFS due to testsuite bug on BSD kernels.
    Thanks Aurelien Jarno.  (Closes: #542063)

 -- Peter Samuelson <peter@p12n.org>  Thu, 20 Aug 2009 08:36:44 -0500

serf (0.3.0-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add symbols file.
  * patches/no-export-vars: New patch: do not export variables outside the
    serf_ namespace.

 -- Peter Samuelson <peter@p12n.org>  Sat, 04 Jul 2009 12:16:46 -0500

serf (0.3.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version.  (Closes: #520546)
    - Deleted patches/work-around-an-error-of-libtool.diff, no longer needed.

 -- Peter Samuelson <peter@p12n.org>  Tue, 23 Jun 2009 18:03:44 -0500

serf (0.2.0-1) unstable; urgency=medium

  * New upstream version (Closes: #485025):
    - debian/copyright: Document that CuTest files are licensed under the
      zlib/libpng license.
    - debian/patches/*.diff: Refresh.
  * Update Standards-Version to 3.8.0.
    - debian/control: Make binNMU-safe by using ${binary:Version} instead of
      ${Source-Version}.
    - debian/control: Add new Homepage field.
    - debian/copyright: Delete copy of /usr/share/common-licenses/Apache-2.0.
    - debian/README.source: New file explaining quilt.
  * Update the debhelper compatibility level to 7.
    - debian/libserf-0-0-dev.install, debian/libserf-0-0.install:
      Do not begin with debian/tmp since it is assumed to be the source path.
  * debian/control: Add new Vcs-Git, and Vcs-Browser fields.
  * Install test programs as example ones for libserf-0-0-dev.


