=== debian/control ===
Source: serf
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Peter Samuelson <peter@p12n.org>
Uploaders: James McCoy <jamessan@debian.org>
Build-Depends: dpkg-dev (>= 1.16.0~), debhelper, scons (>= 2.3.0),
    quilt, libapr1-dev, libaprutil1-dev, chrpath
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/serf/

Package: libserf-1-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Multi-Arch: same
Description: high-performance asynchronous HTTP client library
 serf library is a C-based HTTP client library built upon the Apache
 Portable Runtime (APR) library.  It multiplexes connections, running the
 read/write communication asynchronously.  Memory copies and
 transformations are kept to a minimum to provide high performance
 operation.

Package: libserf-dev
Section: libdevel
Architecture: any
Depends: libserf-1-1 (= ${binary:Version}), ${misc:Depends}, libapr1-dev, libaprutil1-dev
Description: high-performance asynchronous HTTP client library headers
 serf library is a C-based HTTP client library built upon the Apache
 Portable Runtime (APR) library.  It multiplexes connections, running the
 read/write communication asynchronously.  Memory copies and
 transformations are kept to a minimum to provide high performance
 operation.
 .
 This package contains development headers for serf.

Package: libserf1-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libserf-1-1 (= ${binary:Version}), ${misc:Depends}
Provides: libserf-dbg
Description: high-performance asynchronous HTTP client library debugging symbols
 serf library is a C-based HTTP client library built upon the Apache
 Portable Runtime (APR) library.  It multiplexes connections, running the
 read/write communication asynchronously.  Memory copies and
 transformations are kept to a minimum to provide high performance
 operation.
 .
 This package contains the debugging symbols for serf.
