=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs
include /usr/share/dpkg/buildflags.mk
include /usr/share/quilt/quilt.make

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

libdir := /usr/lib/$(DEB_HOST_MULTIARCH)
includedir := /usr/include
libpkg := libserf-1-1

parallel :=
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    parallel := -j $(NUMJOBS)
endif

build: build-arch build-indep
build-indep:
build-arch: debian/stamp-build
debian/stamp-build: patch
	dh_testdir

	scons $(parallel) PREFIX=/usr LIBDIR=$(libdir) \
		CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LINKFLAGS="$(LDFLAGS)"
ifeq (, $(filter nocheck,$(DEB_BUILD_OPTIONS)))
	scons check
endif

	touch $@

clean: unpatch
	dh_testdir

	scons -c
	rm -f debian/stamp-* .saved_config .sconsign.dblite config.log

	dh_clean

install: debian/stamp-build
	dh_testdir
	dh_testroot
	dh_clean -k

	scons install --install=$(CURDIR)/debian/tmp
	chrpath -d $(CURDIR)/debian/tmp/$(libdir)/*.so.*

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s CHANGES
	dh_installdocs -s NOTICE
	dh_installexamples -s
	dh_installman -s
	install -d debian/$(libpkg)/$(libdir) debian/libserf-dev/$(libdir)
	install -d debian/libserf-dev/$(includedir)
	mv debian/tmp/$(libdir)/*.so.* debian/$(libpkg)/$(libdir)/
	mv debian/tmp/$(libdir)/*.so debian/libserf-dev/$(libdir)/
	mv debian/tmp/$(libdir)/*.a debian/libserf-dev/$(libdir)/
	mv debian/tmp/$(libdir)/pkgconfig debian/libserf-dev/$(libdir)/
	mv debian/tmp/$(includedir)/* debian/libserf-dev/$(includedir)/
	for p in $$(dh_listpackages -s -N$(libpkg)); do \
		doc0=debian/$$p/usr/share/doc/$(libpkg); \
		doc=debian/$$p/usr/share/doc/$$p; \
		rm -f $$doc/changelog* $$doc/copyright; \
		mv $$doc $$doc0; \
		rmdir --ignore-fail-on-non-empty $$doc0; \
		ln -s $(libpkg) $$doc; \
	done;
	dh_link -s
	dh_strip -s --dbg-package=libserf1-dbg
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	sed -i 's:libserf-private\(, *\)\?::' debian/*.substvars
	dh_lintian -s || true
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
