=== debian/watch ===
# Watch control file for uscan

version=3
http://code.google.com/p/serf/downloads/list?can=1 \
  .*/serf-(.*).tar.bz2
