=== debian/changelog ===
serf (1.3.9-11) UNRELEASED; urgency=medium

  * update

 -- James McCoy <jamessan@debian.org>  Thu, 16 Jun 2022 14:25:41 +0800

serf (1.3.9-11) unstable; urgency=medium

  [ James McCoy ]
  * Fix build with OpenSSL 3 (Closes: #1006572)
  * Ignore test failures until upstream fixes their tests with OpenSSL 3
  * Declare compliance with Policy 4.6.1, no changes needed

  [ Simon Chopin ]
  * d/p/bio-ctrl.patch: imported from FreeBSD, fixes TLS issues with OpenSSL3
    (LP: #1956040)

  [ Vagrant Cascadian ]
  * debian/rules: Pass relative path to LIBDIR in dh_auto_install override.
    (Closes: #1010043)

 -- James McCoy <jamessan@debian.org>  Sat, 14 May 2022 16:57:22 -0400

serf (1.3.9-10) unstable; urgency=medium

  * ci: Add pkg-config to Depends
  * ci: Add allow-stderr restriction

 -- James McCoy <jamessan@debian.org>  Sun, 17 Jan 2021 09:57:34 -0500

serf (1.3.9-9) unstable; urgency=medium

  * Include upstream patch to fix OpenSSL 1.1.1i compat (Closes: #978353)
  * rules: Remove explicit -Wl,--as-needed, since it is default
  * Run upstream tests for CI

 -- James McCoy <jamessan@debian.org>  Sat, 16 Jan 2021 10:35:52 -0500

serf (1.3.9-8) unstable; urgency=medium

  * Enable building with Python3
    - Use Python3 to generate test certificates
      + Change python-openssl Build-Depends to python3-openssl
    - Add py3-compat patch
      + Use py2/py3 compatible syntax in SConstruct (Closes: #947581)
      + Use py2/py3 compatible syntax in build/*.py (Closes: #943263)
  * Remove debian/distcerts/ in clean target
  * debian/rules:
    - Build tests with the same flags as the library
    - Add support for DEB_BUILD_OPTIONS=terse
    - Remove unnecessary -arch qualifications in override rules
    - Add .PHONY build rule to override build directory
  * debian/control:
    - Remove obsolete version requirement for scons Build-Depends
  * Install libserf-dev examples in /usr/share/doc/libserf-dev instead of
    symlinking to /u/s/d/libserf-1-1
  * Add script to update/minimize signing keys
  * Update/minimize upstream signing keys
  * Declare compliance with Policy 4.4.1, no changes needed
  * Switch to debhelper compat 12 via debhelper-compat

 -- James McCoy <jamessan@debian.org>  Mon, 30 Dec 2019 07:55:43 -0500

serf (1.3.9-7) unstable; urgency=medium

  * Backport create_certs.py from upstream to generate certs at test time
    (Closes: #911714)
  * Remove obsolete dbgsym migration
  * Opt-in to debhelper 12 beta
  * Declare compliance with Policy 4.2.1

 -- James McCoy <jamessan@debian.org>  Sat, 27 Oct 2018 10:17:10 -0400

serf (1.3.9-6) unstable; urgency=medium

  * Backport r1712790 from upstream to fix NULL pointer dereference.
    Thanks to Colin Watson for investigation and report (Closes: #893688)

 -- James McCoy <jamessan@debian.org>  Wed, 21 Mar 2018 21:38:37 -0400

serf (1.3.9-5) unstable; urgency=medium

  * control: Change Vcs-* to salsa.debian.org
  * Bump debhelper compat to 11
  * control: Declare compliance with Policy 4.1.3
  * control: Mark libserf-dev Multi-Arch: same

 -- James McCoy <jamessan@debian.org>  Thu, 15 Mar 2018 21:57:08 -0400

serf (1.3.9-4) unstable; urgency=medium

  * Mark serf_debug__closed_conn as a public symbol, since svn has been using
    it for 10 years.
  * Declare compliance with Policy 4.1.1, no changes needed
  * Change source format to 3.0 (quilt)
  * Set R³ to no
  * Switch to dh-based rules

 -- James McCoy <jamessan@debian.org>  Sun, 12 Nov 2017 21:19:32 -0500

serf (1.3.9-3) unstable; urgency=medium

  * Add libssl-dev to libserf-dev's Depends, otherwise pkg-config can't
    provide information about serf.  Thanks to Daniel Shahaf for noticing!

 -- James McCoy <jamessan@debian.org>  Wed, 07 Jun 2017 23:09:48 -0400

serf (1.3.9-2) unstable; urgency=medium

  * Remove Peter Samuelson as maintainer, at request of MIA team.  Thanks for
    all the fish!  (Closes: #852220)
  * Backport r1792234 to fix test failures due to expired test certificates.
    (Closes: #862027)

 -- James McCoy <jamessan@debian.org>  Sun, 07 May 2017 22:02:00 -0400

serf (1.3.9-1) unstable; urgency=medium

  * New upstream release
    - patches/comment-style_r2443, patches/openssl-1.1.x_r1750819,
      patches/test-memory-usage_r2445: Drop, merged upstream
  * d/rules: Remove more SCons cruft in clean target

 -- James McCoy <jamessan@debian.org>  Fri, 02 Sep 2016 00:20:04 -0400

serf (1.3.8-3) unstable; urgency=medium

  * Backport r1750819 from upstream to add support for OpenSSL 1.1.x.
    (Closes: #828541)
  * Replace deprecated uses of debhelper's -s with -a.
  * Declare compliance with policy 3.9.8, no changes needed.
  * Use https URIs for Vcs-*.
  * Enable hardening build flags.

 -- James McCoy <jamessan@debian.org>  Sat, 23 Jul 2016 23:39:33 -0400

serf (1.3.8-2) unstable; urgency=medium

  * Update URLs to refer to serf.apache.org rather than code.google.com.
  * Declare compliance with policy 3.9.7, no changes needed.
  * Migrate to automatic debug packages.

 -- James McCoy <jamessan@debian.org>  Sun, 28 Feb 2016 07:37:33 -0500

serf (1.3.8-1) unstable; urgency=medium

  * New upstream release
    - Disable SSLv2 and SSLv3
  * Backport r2445 from upstream to fix potential memory allocation failures
    in the test suite.
  * Backport r2443 from upstream to fix a compile failure in the test suite.

 -- James McCoy <jamessan@debian.org>  Thu, 04 Dec 2014 19:06:24 -0500

serf (1.3.7-3) unstable; urgency=medium

  * Specify the proper prefix/libdir when building libserf-1.pc.
    (Closes: LP: #1388271)

 -- James McCoy <jamessan@debian.org>  Mon, 17 Nov 2014 21:12:38 -0500

serf (1.3.7-2) unstable; urgency=medium

  * debian/control:
    + Bump versioned Build-Depends on scons >= 2.3.1-2 to ensure we have an
      scons which can understand krb5-config's use of -isystem (c.f., #760804).
    + Add libssl-dev/zlib1g-dev to Build-Depends as they're needed to build
      and no longer transitively pulled in.  (Closes: #768664)


