=== debian/control ===
Source: serf
Section: libs
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends:
 chrpath,
 debhelper-compat (= 12),
 libapr1-dev,
 libaprutil1-dev,
 libkrb5-dev,
 libssl-dev,
 python3-openssl <!nocheck>,
 scons,
 zlib1g-dev,
Standards-Version: 4.6.1
Homepage: https://serf.apache.org/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jamessan/serf.git
Vcs-Browser: https://salsa.debian.org/jamessan/serf

Package: libserf-1-1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: high-performance asynchronous HTTP client library
 serf library is a C-based HTTP client library built upon the Apache
 Portable Runtime (APR) library.  It multiplexes connections, running the
 read/write communication asynchronously.  Memory copies and
 transformations are kept to a minimum to provide high performance
 operation.

Package: libserf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libapr1-dev,
 libaprutil1-dev,
 libserf-1-1 (= ${binary:Version}),
 libssl-dev,
 ${misc:Depends},
Description: high-performance asynchronous HTTP client library headers
 serf library is a C-based HTTP client library built upon the Apache
 Portable Runtime (APR) library.  It multiplexes connections, running the
 read/write communication asynchronously.  Memory copies and
 transformations are kept to a minimum to provide high performance
 operation.
 .
 This package contains development headers for serf.
