=== debian/tests/control ===
Tests: upstream-tests
Restrictions: allow-stderr
Depends: @, @builddeps@, pkg-config
