## serf 1.3.9.3

=== debian/changelog ===
serf (1.3.9.3-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 1839893e105bd0ce5af09fee7c9e581207ef73e8']

 -- shuttle <shuttle@deepin.com>  Wed, 11 Dec 2019 20:28:17 +0000
