=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed
include /usr/share/dpkg/default.mk

libdir = /usr/lib/$(DEB_HOST_MULTIARCH)
libpkg = libserf-1-1

parallel =
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    parallel = -j $(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_build-arch:
	scons $(parallel) GSSAPI=/usr CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LINKFLAGS="$(LDFLAGS)" PREFIX=/usr LIBDIR=$(libdir)

ifeq (, $(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test-arch:
	if ! [ -d debian/distcerts ]; then \
	    mkdir -p debian/testcerts/private debian/distcerts; \
	    cp test/server/*.pem test/server/serfclientcert.p12 debian/distcerts/; \
	    (cd debian/testcerts && ../create_certs.py); \
	    cp debian/testcerts/*.pem debian/testcerts/private/serfserverkey.pem debian/testcerts/serfclientcert.p12 test/server/; \
	fi
	scons check
endif

override_dh_auto_clean:
	rm -rf debian/testcerts
	if [ -d debian/distcerts ]; then \
	    rm test/server/*.pem test/server/*.p12; \
	    cp debian/distcerts/* test/server/; \
	fi
	scons -c

override_dh_auto_install-arch:
	scons install PREFIX=$(CURDIR)/debian/tmp/usr LIBDIR=$(CURDIR)/debian/tmp$(libdir)
	chrpath -d $(CURDIR)/debian/tmp/$(libdir)/*.so.*

override_dh_installdocs-arch:
	dh_installdocs -a NOTICE --link-doc=$(libpkg)

override_dh_installchangelogs-arch:
	dh_installchangelogs -a CHANGES

override_dh_strip-arch:
	dh_strip -a

override_dh_shlibdeps-arch:
	dh_shlibdeps -a
	sed -i 's:libserf-private\(, *\)\?::' debian/*.substvars
