=== debian/changelog ===
serf (1.3.10-3) unstable; urgency=medium

  * Allow overriding the compiler used to build serf
  * Fix FTBFS with gcc-14 (Closes: #1075504)
  * Declare compliance with Policy 4.7.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Thu, 04 Jul 2024 16:32:56 -0400

serf (1.3.10-2) unstable; urgency=medium

  * Remove automatic re-building of upstream test certs.  The test certs have
    a long enough expiration (100 years) to avoid random FTBFS and the cert
    update script was broken by the removal of APIs from python3-openssl.

 -- James McCoy <jamessan@debian.org>  Mon, 25 Mar 2024 22:05:04 -0400

serf (1.3.10-1) unstable; urgency=medium

  * New upstream release
    - Remove patches applied upstream: openssl-1.1.1i, openssl-3.x,
      bio-ctrl.patch, and py3-compat
  * Adjust symbols-declares-dependency-on-other-package override for new lintian
  * Bump to debhelper compat 13
  * Stop ignoring test results now that they work with OpenSSL 3
  * Point fetch-keys script at new KEYS URL
  * Update upstream signing keys
  * Declare compliance with Policy 4.6.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Sun, 11 Jun 2023 13:43:46 -0400
