=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends:
  chrpath,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libapr1-dev,
  libaprutil1-dev,
  libkrb5-dev,
  libssl-dev,
- python3-openssl <!nocheck>,
  scons,
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://serf.apache.org/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/jamessan/serf.git
